Bug 90148 - Devlabel doesn't unmount devices mounted with --automount
Summary: Devlabel doesn't unmount devices mounted with --automount
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: devlabel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-03 14:28 UTC by Mikael Hallendal
Modified: 2014-03-17 02:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 19:48:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that unmounts when disconnecting hardware (595 bytes, patch)
2003-05-03 14:29 UTC, Mikael Hallendal
no flags Details | Diff

Description Mikael Hallendal 2003-05-03 14:28:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030414

Description of problem:
If you specify you want to automount a device, devlabel doesn't unmount the
device when you remove the hardware. It only removes the symlink.

Version-Release number of selected component (if applicable):
devlabel-0.26.08-4

How reproducible:
Always

Steps to Reproduce:
1. Add device with --automount
2. Connect device (it gets mounted)
3. Disconnect device
    

Actual Results:  The symlink is removed but the mountpoint isn't unmounted

Expected Results:  The mountpoint should be unmounted and the symlink removed.

Additional info:

Comment 1 Mikael Hallendal 2003-05-03 14:29:41 UTC
Created attachment 91487 [details]
Patch that unmounts when disconnecting hardware

Comment 2 Gary Lerhaupt 2003-05-12 15:13:01 UTC
This has already been fixed in devlabel 0.37.03.  Thanks, though.  RH needs to 
pick up this latest version.

http://www.lerhaupt.com/devlabel/

Comment 3 Bill Nottingham 2004-09-08 19:48:27 UTC
Fixed in current releases.


Note You need to log in before you can comment on or make changes to this bug.